On Wed, Sep 11, 2019 at 4:09 PM Mariel Supina
<mariel_sup...@berkeley.edu> wrote:
>
>
>
> On Wednesday, September 11, 2019 at 12:18:37 PM UTC+2, Dima Pasechnik wrote:
>>
>> OK, thanks, let's do more debugging of cypari:
>>
>>    cd /srv/public/shared/sage/upstream
>>    tar xf  cypari2-2.1.1.tar.gz
>>    cd cypari2-2.1.1/
>>
>> now, start Sage's Python:
>>
>>    ../../sage -python
>>
>> and at its prompt, do
>>
>>    import autogen
>>    autogen.pari_share()
>>
>>
>> Post the result of the last 3 commands.
>
>
> '/srv/public/shared/sage/local/share/pari'
>
>>
>>
>> Similarly, staying at this directory, start system's Python
>>
>>     python
>>
>> and at its prompt, do
>>
>>    import autogen
>>    autogen.pari_share()
>>
>> Post the result of the last 3 commands.
>
>
> '/usr/share/pari'
>
>>
>>
ok, this is all as expected.

>> ---------------
>> I suspect that cypari invokes system's Python rather than Sage's
>> Python at this point.
>>
>> To check this, let us try putting Sage's Python 1st in the PATH and
>> re-run the installation of Cypari. Thus, try the following:
>>
>>     cd /srv/public/shared/sage/
>>     PATH=/srv/public/shared/sage/bin:$PATH ./sage -i cypari
>>
>> and tell us whether this worked or not...
>
>
> This worked!
OK, good. At least from this point on you should be able to continue
building, just by
typing

 make

The remaining question is whether the problem is reproducible.
That is, what happens if you try to re-install cypari wthout the PATH
hack, i.e. just by

  ./sage -f cypari

Does this work? If yes, then the problem (which in this case would be
that the installation of Pari/GP was not ready at the point building
of cypai kicked in) is gone, more or less.

If it doesn't then it's a problem I cannot really pin down to anything
in particular, and it appears very limited in scope, i.e. I can't
reproduce it on other machines...
Anyway,

    PATH=/srv/public/shared/sage/bin:$PATH ./sage -i cypari

should allow you to proceed.

HTH
Dima

>
>>
>>
>> Thanks.
>>
>>
>> On Wed, Sep 11, 2019 at 10:49 AM Mariel Supina
>> <mariel...@berkeley.edu> wrote:
>> >
>> > Attached is the output of
>> >
>> > set
>> >
>> > On Tuesday, September 10, 2019 at 7:16:23 PM UTC+2, Dima Pasechnik wrote:
>> >>
>> >> On Tue, Sep 10, 2019 at 5:30 PM Mariel Supina
>> >> <mariel...@berkeley.edu> wrote:
>> >> >
>> >> > On Tuesday, September 10, 2019 at 5:50:53 PM UTC+2, Dima Pasechnik 
>> >> > wrote:
>> >> >>
>> >> >> Thanks. OK, I see that you're supposed to be building Pari, anyway,
>> >> >> amd then the rest should have worked. Strange.
>> >> >>
>> >> >> To make sure bulding Pari worked, could you do the following:
>> >> >> In the directory you're building Sage,
>> >>
>> >> as you are building in /srv/public/shared/sage/ everything appears to
>> >> be in order.
>> >>
>> >> Something is telling cypari to ignore the Pari/GP already installed in
>> >> /srv/public/shared/sage/local/
>> >> and to use the system Pari/GP, which is not only incompatible, but broken
>> >> (as /usr/share/pari/pari.desc is a part of the package, but it's missing) 
>> >> too.
>> >> On the other hand I checked how cypari discovers the Pari/GP 
>> >> installation, and
>> >> it appears it should work as expected.
>> >>
>> >> I cc the main authors of cypari package.
>> >>
>> >> Are you setting any environment variables by hand? No pre-set SAGE_ROOT?
>> >> Or perhaps something
>> >> that you get by default, and this breaks things?
>> >>
>> >> Could you post the output of
>> >>
>> >>   set
>> >>
>> >> >  run
>> >> >>
>> >> >>   ./sage --gp --version
>> >> >>
>> >> >> and post the output.
>> >> >
>> >> >
>> >> >                    GP/PARI CALCULATOR Version 2.11.1 (released)
>> >> >            amd64 running linux (x86-64/GMP-6.1.2 kernel) 64-bit version
>> >> >     compiled: Sep 10 2019, gcc version 6.3.0 20170516 (Debian 
>> >> > 6.3.0-18+deb9u1)
>> >> >                              threading engine: single
>> >> >                 (readline not compiled in, extended help enabled)
>> >> >
>> >> >
>> >> >>
>> >> >> Also, please post the output of
>> >> >>
>> >> >>   echo 'default(datadir)' | ./sage --gp -qf
>> >> >
>> >> >
>> >> >  "/srv/public/shared/sage/local/share/pari"
>> >> >
>> >> >>
>> >> >> Also, at the same directory, start Sage's Python by typing
>> >> >>
>> >> >>   ./sage --python
>> >> >>
>> >> >> and at the Python's prompt, type the following 2 commands:
>> >> >>
>> >> >>   from distutils.spawn import find_executable
>> >> >>   find_executable("gp")
>> >> >>
>> >> >> and post the output.
>> >> >
>> >> >
>> >> > '/srv/public/shared/sage/local/bin/gp'
>> >> >
>> >> >>
>> >> >>
>> >> >> In the same directory, run
>> >> >>
>> >> >>   ls -l local/share/pari/pari.desc
>> >> >>
>> >> >> and post the output.
>> >> >>
>> >> >>
>> >> >
>> >> > -rw-r--r-- 1 mjsupina ag_discgeom 1425197 Sep 10 14:55 
>> >> > local/share/pari/pari.desc
>> >> >
>> >> >>
>> >> >> -------------------------------------
>> >> >>
>> >> >> finally, please post the output of
>> >> >>
>> >> >>   ls -l /usr/share/pari/pari.desc
>> >> >>
>> >> >
>> >> > ls: Zugriff auf '/usr/share/pari/pari.desc' nicht möglich: Datei oder 
>> >> > Verzeichnis nicht gefunden
>> >> >
>> >> > (Translation to English:
>> >> > ls: Unable to access '/usr/share/pari/pari.desc': file or directory not 
>> >> > found)
>> >>
>> >> Vielen dank, ich weiss es auch ohne deine ueberzetsung ;-)
>> >>
>> >> Could it be that German locale is breaking something? I don't know...
>> >>
>> >> Dima
>> >>
>> >> >
>> >> >>
>> >> >> Thanks.
>> >> >>
>> >> >> On Tue, Sep 10, 2019 at 3:07 PM Mariel Supina
>> >> >> <mariel...@berkeley.edu> wrote:
>> >> >> >
>> >> >> > I have attached the output of ./configure --with-python=3.
>> >> >> >
>> >> >> > On Tuesday, September 10, 2019 at 3:53:06 PM UTC+2, Dima Pasechnik 
>> >> >> > wrote:
>> >> >> >>
>> >> >> >> On Tue, Sep 10, 2019 at 2:16 PM Mariel Supina
>> >> >> >> <mariel...@berkeley.edu> wrote:
>> >> >> >> >
>> >> >> >> > Hi,
>> >> >> >> >
>> >> >> >> > On Tuesday, September 10, 2019 at 2:51:27 PM UTC+2, Dima 
>> >> >> >> > Pasechnik wrote:
>> >> >> >> >>
>> >> >> >> >> On Tue, Sep 10, 2019 at 1:36 PM Mariel Supina
>> >> >> >> >> <mariel...@berkeley.edu> wrote:
>> >> >> >> >> >
>> >> >> >> >> > On Debian stretch, I get a compilation error making sage 
>> >> >> >> >> > 8.9.beta9. The problem is in the package "cypari", the 
>> >> >> >> >> > relevant log is attached:
>> >> >> >> >>
>> >> >> >> >> Are you upgrading? Building from scratch?
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > I am building from scratch with python3.
>> >> >> >> >
>> >> >> >> >>
>> >> >> >> >>
>> >> >> >> >> The interesting line is
>> >> >> >> >>
>> >> >> >> >> error: [Errno 2] No such file or directory: 
>> >> >> >> >> '/usr/share/pari/pari.desc'
>> >> >> >> >>
>> >> >> >> >> This appears to be related to
>> >> >> >> >> https://trac.sagemath.org/ticket/28242
>> >> >> >> >> Perhaps it ought to be improved.
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > The compilation used to work fine on the machines, so that could 
>> >> >> >> > be it?
>> >> >> >> >
>> >> >> >> >>
>> >> >> >> >>
>> >> >> >> >> It looks like you're trying to use a system installation of 
>> >> >> >> >> Pari/GP, rather
>> >> >> >> >> than build Sage's Pari. What parts of Pari (Pari-related 
>> >> >> >> >> packages?)
>> >> >> >> >> do you have on your Debian system?
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > The computer on which I try to compile is maintained by my 
>> >> >> >> > department's IT, so I am not completely aware of all the packages 
>> >> >> >> > that might or might not be installed.
>> >> >> >> >
>> >> >> >> > How can I figure out which pari (and which packages) are 
>> >> >> >> > installed?
>> >> >> >>
>> >> >> >> what is the output of
>> >> >> >>
>> >> >> >>   gp --version
>> >> >> >
>> >> >> >
>> >> >> >                   GP/PARI CALCULATOR Version 2.9.1 (released)
>> >> >> >           amd64 running linux (x86-64/GMP-6.1.1 kernel) 64-bit 
>> >> >> > version
>> >> >> >        compiled: Dec  1 2016, gcc version 6.2.1 20161124 (Debian 
>> >> >> > 6.2.1-5)
>> >> >> >                            threading engine: pthread
>> >> >> >                 (readline v7.0 disabled, extended help enabled)
>> >> >> >
>> >> >> >
>> >> >> >>
>> >> >> >>
>> >> >> >> and of
>> >> >> >>
>> >> >> >>   echo 'default(datadir)' | gp -qf
>> >> >> >
>> >> >> >
>> >> >> > "/usr/share/pari"
>> >> >> >
>> >> >> >>
>> >> >> >>
>> >> >> >> And what is the output of
>> >> >> >>
>> >> >> >>   which gp
>> >> >> >
>> >> >> >
>> >> >> > /usr/bin/gp
>> >> >> >
>> >> >> >>
>> >> >> >>
>> >> >> >> Thanks.
>> >> >> >>
>> >> >> >> >>
>> >> >> >> >>
>> >> >> >> >> Anyhow, Pari in Stretch is too old, but you should be able to 
>> >> >> >> >> use the
>> >> >> >> >> one from backports:
>> >> >> >> >>
>> >> >> >> >> https://packages.debian.org/stretch-backports/libpari-dev
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > I am afraid that I do not have the rights to install libpari 
>> >> >> >> > systemwide. Hmm.
>> >> >> >> >
>> >> >> >> >>
>> >> >> >> >>
>> >> >> >> >>
>> >> >> >> >> Thanks
>> >> >> >> >> Dima
>> >> >> >> >> >
>> >> >> >> >> > Found local metadata for cypari-2.1.1
>> >> >> >> >> > Attempting to download package cypari2-2.1.1.tar.gz from 
>> >> >> >> >> > mirrors
>> >> >> >> >> > https://mirror.koddos.net/sagemath/spkg/upstream/cypari/cypari2-2.1.1.tar.gz
>> >> >> >> >> > [......................................................................]
>> >> >> >> >> > cypari-2.1.1
>> >> >> >> >> > ====================================================
>> >> >> >> >> > Setting up build directory for cypari-2.1.1
>> >> >> >> >> > Finished extraction
>> >> >> >> >> > Applying patches from ../patches...
>> >> >> >> >> > Applying ../patches/trashcan.patch
>> >> >> >> >> > patching file cypari2/gen.pxd
>> >> >> >> >> > patching file cypari2/gen.pyx
>> >> >> >> >> > Hunk #1 succeeded at 141 (offset 6 lines).
>> >> >> >> >> > patching file cypari2/pari_instance.pyx
>> >> >> >> >> > ****************************************************
>> >> >> >> >> > Host system:
>> >> >> >> >> > Linux ural 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1+deb9u4 
>> >> >> >> >> > (2019-07-19) x86_64 GNU/Linux
>> >> >> >> >> > ****************************************************
>> >> >> >> >> > C compiler: gcc
>> >> >> >> >> > C compiler version:
>> >> >> >> >> > Using built-in specs.
>> >> >> >> >> > COLLECT_GCC=gcc
>> >> >> >> >> > COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/6/lto-wrapper
>> >> >> >> >> > Target: x86_64-linux-gnu
>> >> >> >> >> > Configured with: ../src/configure -v --with-pkgversion='Debian 
>> >> >> >> >> > 6.3.0-18+deb9u1' 
>> >> >> >> >> > --with-bugurl=file:///usr/share/doc/gcc-6/README.Bugs 
>> >> >> >> >> > --enable-languages=c,ada,c++,java,go,d,fortran,objc,obj-c++ 
>> >> >> >> >> > --prefix=/usr --program-suffix=-6 
>> >> >> >> >> > --program-prefix=x86_64-linux-gnu- --enable-shared 
>> >> >> >> >> > --enable-linker-build-id --libexecdir=/usr/lib 
>> >> >> >> >> > --without-included-gettext --enable-threads=posix 
>> >> >> >> >> > --libdir=/usr/lib --enable-nls --with-sysroot=/ 
>> >> >> >> >> > --enable-clocale=gnu --enable-libstdcxx-debug 
>> >> >> >> >> > --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new 
>> >> >> >> >> > --enable-gnu-unique-object --disable-vtable-verify 
>> >> >> >> >> > --enable-libmpx --enable-plugin --enable-default-pie 
>> >> >> >> >> > --with-system-zlib --disable-browser-plugin 
>> >> >> >> >> > --enable-java-awt=gtk --enable-gtk-cairo 
>> >> >> >> >> > --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-6-amd64/jre 
>> >> >> >> >> > --enable-java-home 
>> >> >> >> >> > --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-6-amd64 
>> >> >> >> >> > --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-6-amd64 
>> >> >> >> >> > --with-arch-directory=amd64 
>> >> >> >> >> > --with-ecj-jar=/usr/share/java/eclipse-ecj.jar 
>> >> >> >> >> > --with-target-system-zlib --enable-objc-gc=auto 
>> >> >> >> >> > --enable-multiarch --with-arch-32=i686 --with-abi=m64 
>> >> >> >> >> > --with-multilib-list=m32,m64,mx32 --enable-multilib 
>> >> >> >> >> > --with-tune=generic --enable-checking=release 
>> >> >> >> >> > --build=x86_64-linux-gnu --host=x86_64-linux-gnu 
>> >> >> >> >> > --target=x86_64-linux-gnu
>> >> >> >> >> > Thread model: posix
>> >> >> >> >> > gcc version 6.3.0 20170516 (Debian 6.3.0-18+deb9u1)
>> >> >> >> >> > ****************************************************
>> >> >> >> >> > Package 'cypari' is currently not installed
>> >> >> >> >> > No legacy uninstaller found for 'cypari'; nothing to do
>> >> >> >> >> > Installing cypari-2.1.1
>> >> >> >> >> > Installing package cypari2 using pip2
>> >> >> >> >> > Ignoring indexes: https://pypi.org/simple
>> >> >> >> >> > Created temporary directory: /tmp/pip-ephem-wheel-cache-EMVpJz
>> >> >> >> >> > Created temporary directory: /tmp/pip-req-tracker-wfmzIV
>> >> >> >> >> > Created requirements tracker '/tmp/pip-req-tracker-wfmzIV'
>> >> >> >> >> > Created temporary directory: /tmp/pip-install-HkyCL2
>> >> >> >> >> > Processing 
>> >> >> >> >> > /srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >   Created temporary directory: /tmp/pip-req-build-MoH_HZ
>> >> >> >> >> >   Added 
>> >> >> >> >> > file:///srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >  to build tracker '/tmp/pip-req-tracker-wfmzIV'
>> >> >> >> >> >   Running setup.py (path:/tmp/pip-req-build-MoH_HZ/setup.py) 
>> >> >> >> >> > egg_info for package from 
>> >> >> >> >> > file:///srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >     Running command python setup.py egg_info
>> >> >> >> >> >     running egg_info
>> >> >> >> >> >     creating pip-egg-info/cypari2.egg-info
>> >> >> >> >> >     writing requirements to 
>> >> >> >> >> > pip-egg-info/cypari2.egg-info/requires.txt
>> >> >> >> >> >     writing pip-egg-info/cypari2.egg-info/PKG-INFO
>> >> >> >> >> >     writing top-level names to 
>> >> >> >> >> > pip-egg-info/cypari2.egg-info/top_level.txt
>> >> >> >> >> >     writing dependency_links to 
>> >> >> >> >> > pip-egg-info/cypari2.egg-info/dependency_links.txt
>> >> >> >> >> >     writing manifest file 
>> >> >> >> >> > 'pip-egg-info/cypari2.egg-info/SOURCES.txt'
>> >> >> >> >> >     error: [Errno 2] No such file or directory: 
>> >> >> >> >> > '/usr/share/pari/pari.desc'
>> >> >> >> >> > Cleaning up...
>> >> >> >> >> >   Removing source in /tmp/pip-req-build-MoH_HZ
>> >> >> >> >> > Removed 
>> >> >> >> >> > file:///srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >  from build tracker '/tmp/pip-req-tracker-wfmzIV'
>> >> >> >> >> > Removed build tracker '/tmp/pip-req-tracker-wfmzIV'
>> >> >> >> >> > Command "python setup.py egg_info" failed with error code 1 in 
>> >> >> >> >> > /tmp/pip-req-build-MoH_HZ/
>> >> >> >> >> > Exception information:
>> >> >> >> >> > Traceback (most recent call last):
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/cli/base_command.py",
>> >> >> >> >> >  line 143, in main
>> >> >> >> >> >     status = self.run(options, args)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/commands/install.py",
>> >> >> >> >> >  line 318, in run
>> >> >> >> >> >     resolver.resolve(requirement_set)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/resolve.py",
>> >> >> >> >> >  line 102, in resolve
>> >> >> >> >> >     self._resolve_one(requirement_set, req)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/resolve.py",
>> >> >> >> >> >  line 256, in _resolve_one
>> >> >> >> >> >     abstract_dist = self._get_abstract_dist_for(req_to_install)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/resolve.py",
>> >> >> >> >> >  line 209, in _get_abstract_dist_for
>> >> >> >> >> >     self.require_hashes
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/operations/prepare.py",
>> >> >> >> >> >  line 298, in prepare_linked_requirement
>> >> >> >> >> >     abstract_dist.prep_for_dist(finder, self.build_isolation)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/operations/prepare.py",
>> >> >> >> >> >  line 126, in prep_for_dist
>> >> >> >> >> >     self.req.run_egg_info()
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/req/req_install.py",
>> >> >> >> >> >  line 473, in run_egg_info
>> >> >> >> >> >     command_desc='python setup.py egg_info')
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/utils/misc.py",
>> >> >> >> >> >  line 705, in call_subprocess
>> >> >> >> >> >     % (command_desc, proc.returncode, cwd))
>> >> >> >> >> > InstallationError: Command "python setup.py egg_info" failed 
>> >> >> >> >> > with error code 1 in /tmp/pip-req-build-MoH_HZ/
>> >> >> >> >> > Error: installing with pip2 failed
>> >> >> >> >> > ********************************************************************************
>> >> >> >> >> > Error installing cypari-2.1.1
>> >> >> >> >> > ********************************************************************************
>> >> >> >> >> >
>> >> >> >> >> > real    0m1.345s
>> >> >> >> >> > user    0m1.088s
>> >> >> >> >> > sys    0m0.184s
>> >> >> >> >> > ************************************************************************
>> >> >> >> >> > Error installing package cypari-2.1.1
>> >> >> >> >> > ************************************************************************
>> >> >> >> >> > Please email sage-devel 
>> >> >> >> >> > (http://groups.google.com/group/sage-devel)
>> >> >> >> >> > explaining the problem and including the log file
>> >> >> >> >> >   /srv/public/shared/sage/logs/pkgs/cypari-2.1.1.log
>> >> >> >> >> > Describe your computer, operating system, etc.
>> >> >> >> >> > If you want to try to fix the problem yourself, *don't* just 
>> >> >> >> >> > cd to
>> >> >> >> >> > /srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1 
>> >> >> >> >> > and type 'make' or whatever is appropriate.
>> >> >> >> >> > Instead, the following commands setup all environment variables
>> >> >> >> >> > correctly and load a subshell for you to debug the error:
>> >> >> >> >> >   (cd 
>> >> >> >> >> > '/srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1'
>> >> >> >> >> >  && '/srv/public/shared/sage/sage' --sh)
>> >> >> >> >> > When you are done debugging, you can type "exit" to leave the 
>> >> >> >> >> > subshell.
>> >> >> >> >> > ************************************************************************
>> >> >> >> >> > Found local metadata for cypari-2.1.1
>> >> >> >> >> > Using cached file 
>> >> >> >> >> > /srv/public/shared/sage/upstream/cypari2-2.1.1.tar.gz
>> >> >> >> >> > cypari-2.1.1
>> >> >> >> >> > ====================================================
>> >> >> >> >> > Setting up build directory for cypari-2.1.1
>> >> >> >> >> > Finished extraction
>> >> >> >> >> > Applying patches from ../patches...
>> >> >> >> >> > Applying ../patches/trashcan.patch
>> >> >> >> >> > patching file cypari2/gen.pxd
>> >> >> >> >> > patching file cypari2/gen.pyx
>> >> >> >> >> > Hunk #1 succeeded at 141 (offset 6 lines).
>> >> >> >> >> > patching file cypari2/pari_instance.pyx
>> >> >> >> >> > ****************************************************
>> >> >> >> >> > Host system:
>> >> >> >> >> > Linux ural 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1+deb9u4 
>> >> >> >> >> > (2019-07-19) x86_64 GNU/Linux
>> >> >> >> >> > ****************************************************
>> >> >> >> >> > C compiler: gcc
>> >> >> >> >> > C compiler version:
>> >> >> >> >> > Using built-in specs.
>> >> >> >> >> > COLLECT_GCC=gcc
>> >> >> >> >> > COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/6/lto-wrapper
>> >> >> >> >> > Target: x86_64-linux-gnu
>> >> >> >> >> > Configured with: ../src/configure -v --with-pkgversion='Debian 
>> >> >> >> >> > 6.3.0-18+deb9u1' 
>> >> >> >> >> > --with-bugurl=file:///usr/share/doc/gcc-6/README.Bugs 
>> >> >> >> >> > --enable-languages=c,ada,c++,java,go,d,fortran,objc,obj-c++ 
>> >> >> >> >> > --prefix=/usr --program-suffix=-6 
>> >> >> >> >> > --program-prefix=x86_64-linux-gnu- --enable-shared 
>> >> >> >> >> > --enable-linker-build-id --libexecdir=/usr/lib 
>> >> >> >> >> > --without-included-gettext --enable-threads=posix 
>> >> >> >> >> > --libdir=/usr/lib --enable-nls --with-sysroot=/ 
>> >> >> >> >> > --enable-clocale=gnu --enable-libstdcxx-debug 
>> >> >> >> >> > --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new 
>> >> >> >> >> > --enable-gnu-unique-object --disable-vtable-verify 
>> >> >> >> >> > --enable-libmpx --enable-plugin --enable-default-pie 
>> >> >> >> >> > --with-system-zlib --disable-browser-plugin 
>> >> >> >> >> > --enable-java-awt=gtk --enable-gtk-cairo 
>> >> >> >> >> > --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-6-amd64/jre 
>> >> >> >> >> > --enable-java-home 
>> >> >> >> >> > --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-6-amd64 
>> >> >> >> >> > --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-6-amd64 
>> >> >> >> >> > --with-arch-directory=amd64 
>> >> >> >> >> > --with-ecj-jar=/usr/share/java/eclipse-ecj.jar 
>> >> >> >> >> > --with-target-system-zlib --enable-objc-gc=auto 
>> >> >> >> >> > --enable-multiarch --with-arch-32=i686 --with-abi=m64 
>> >> >> >> >> > --with-multilib-list=m32,m64,mx32 --enable-multilib 
>> >> >> >> >> > --with-tune=generic --enable-checking=release 
>> >> >> >> >> > --build=x86_64-linux-gnu --host=x86_64-linux-gnu 
>> >> >> >> >> > --target=x86_64-linux-gnu
>> >> >> >> >> > Thread model: posix
>> >> >> >> >> > gcc version 6.3.0 20170516 (Debian 6.3.0-18+deb9u1)
>> >> >> >> >> > ****************************************************
>> >> >> >> >> > Package 'cypari' is currently not installed
>> >> >> >> >> > No legacy uninstaller found for 'cypari'; nothing to do
>> >> >> >> >> > Installing cypari-2.1.1
>> >> >> >> >> > Installing package cypari2 using pip2
>> >> >> >> >> > Ignoring indexes: https://pypi.org/simple
>> >> >> >> >> > Created temporary directory: /tmp/pip-ephem-wheel-cache-4L98l9
>> >> >> >> >> > Created temporary directory: /tmp/pip-req-tracker-mosN7y
>> >> >> >> >> > Created requirements tracker '/tmp/pip-req-tracker-mosN7y'
>> >> >> >> >> > Created temporary directory: /tmp/pip-install-AHSkDU
>> >> >> >> >> > Processing 
>> >> >> >> >> > /srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >   Created temporary directory: /tmp/pip-req-build-eMwGZT
>> >> >> >> >> >   Added 
>> >> >> >> >> > file:///srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >  to build tracker '/tmp/pip-req-tracker-mosN7y'
>> >> >> >> >> >   Running setup.py (path:/tmp/pip-req-build-eMwGZT/setup.py) 
>> >> >> >> >> > egg_info for package from 
>> >> >> >> >> > file:///srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >     Running command python setup.py egg_info
>> >> >> >> >> >     running egg_info
>> >> >> >> >> >     creating pip-egg-info/cypari2.egg-info
>> >> >> >> >> >     writing requirements to 
>> >> >> >> >> > pip-egg-info/cypari2.egg-info/requires.txt
>> >> >> >> >> >     writing pip-egg-info/cypari2.egg-info/PKG-INFO
>> >> >> >> >> >     writing top-level names to 
>> >> >> >> >> > pip-egg-info/cypari2.egg-info/top_level.txt
>> >> >> >> >> >     writing dependency_links to 
>> >> >> >> >> > pip-egg-info/cypari2.egg-info/dependency_links.txt
>> >> >> >> >> >     writing manifest file 
>> >> >> >> >> > 'pip-egg-info/cypari2.egg-info/SOURCES.txt'
>> >> >> >> >> >     error: [Errno 2] No such file or directory: 
>> >> >> >> >> > '/usr/share/pari/pari.desc'
>> >> >> >> >> > Cleaning up...
>> >> >> >> >> >   Removing source in /tmp/pip-req-build-eMwGZT
>> >> >> >> >> > Removed 
>> >> >> >> >> > file:///srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1/src
>> >> >> >> >> >  from build tracker '/tmp/pip-req-tracker-mosN7y'
>> >> >> >> >> > Removed build tracker '/tmp/pip-req-tracker-mosN7y'
>> >> >> >> >> > Command "python setup.py egg_info" failed with error code 1 in 
>> >> >> >> >> > /tmp/pip-req-build-eMwGZT/
>> >> >> >> >> > Exception information:
>> >> >> >> >> > Traceback (most recent call last):
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/cli/base_command.py",
>> >> >> >> >> >  line 143, in main
>> >> >> >> >> >     status = self.run(options, args)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/commands/install.py",
>> >> >> >> >> >  line 318, in run
>> >> >> >> >> >     resolver.resolve(requirement_set)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/resolve.py",
>> >> >> >> >> >  line 102, in resolve
>> >> >> >> >> >     self._resolve_one(requirement_set, req)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/resolve.py",
>> >> >> >> >> >  line 256, in _resolve_one
>> >> >> >> >> >     abstract_dist = self._get_abstract_dist_for(req_to_install)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/resolve.py",
>> >> >> >> >> >  line 209, in _get_abstract_dist_for
>> >> >> >> >> >     self.require_hashes
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/operations/prepare.py",
>> >> >> >> >> >  line 298, in prepare_linked_requirement
>> >> >> >> >> >     abstract_dist.prep_for_dist(finder, self.build_isolation)
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/operations/prepare.py",
>> >> >> >> >> >  line 126, in prep_for_dist
>> >> >> >> >> >     self.req.run_egg_info()
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/req/req_install.py",
>> >> >> >> >> >  line 473, in run_egg_info
>> >> >> >> >> >     command_desc='python setup.py egg_info')
>> >> >> >> >> >   File 
>> >> >> >> >> > "/srv/public/shared/sage/local/lib/python2.7/site-packages/pip/_internal/utils/misc.py",
>> >> >> >> >> >  line 705, in call_subprocess
>> >> >> >> >> >     % (command_desc, proc.returncode, cwd))
>> >> >> >> >> > InstallationError: Command "python setup.py egg_info" failed 
>> >> >> >> >> > with error code 1 in /tmp/pip-req-build-eMwGZT/
>> >> >> >> >> > Error: installing with pip2 failed
>> >> >> >> >> > ********************************************************************************
>> >> >> >> >> > Error installing cypari-2.1.1
>> >> >> >> >> > ********************************************************************************
>> >> >> >> >> >
>> >> >> >> >> > real    0m1.313s
>> >> >> >> >> > user    0m1.084s
>> >> >> >> >> > sys    0m0.176s
>> >> >> >> >> > ************************************************************************
>> >> >> >> >> > Error installing package cypari-2.1.1
>> >> >> >> >> > ************************************************************************
>> >> >> >> >> > Please email sage-devel 
>> >> >> >> >> > (http://groups.google.com/group/sage-devel)
>> >> >> >> >> > explaining the problem and including the log file
>> >> >> >> >> >   /srv/public/shared/sage/logs/pkgs/cypari-2.1.1.log
>> >> >> >> >> > Describe your computer, operating system, etc.
>> >> >> >> >> > If you want to try to fix the problem yourself, *don't* just 
>> >> >> >> >> > cd to
>> >> >> >> >> > /srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1 
>> >> >> >> >> > and type 'make' or whatever is appropriate.
>> >> >> >> >> > Instead, the following commands setup all environment variables
>> >> >> >> >> > correctly and load a subshell for you to debug the error:
>> >> >> >> >> >   (cd 
>> >> >> >> >> > '/srv/public/shared/sage/local/var/tmp/sage/build/cypari-2.1.1'
>> >> >> >> >> >  && '/srv/public/shared/sage/sage' --sh)
>> >> >> >> >> > When you are done debugging, you can type "exit" to leave the 
>> >> >> >> >> > subshell.
>> >> >> >> >> > ************************************************************************
>> >> >> >> >> >
>> >> >> >> >> >
>> >> >> >> >> > On Tuesday, September 3, 2019 at 1:22:40 AM UTC+2, Volker 
>> >> >> >> >> > Braun wrote:
>> >> >> >> >> >>
>> >> >> >> >> >> As always, you can get the latest beta version from the 
>> >> >> >> >> >> "develop" git branch. Alternatively, the self-contained 
>> >> >> >> >> >> source tarball is at 
>> >> >> >> >> >> http://www.sagemath.org/download-latest.html
>> >> >> >> >> >>
>> >> >> >> >> >>
>> >> >> >> >> >> bdf4b23d74 (trac/develop, tag: 8.9.beta9) Updated SageMath 
>> >> >> >> >> >> version to 8.9.beta9
>> >> >> >> >> >> c631202c12 Trac #28411: refresh the prompt in the 
>> >> >> >> >> >> installation guide
>> >> >> >> >> >> 45482b13f0 Trac #28387: Implement function that returns the 
>> >> >> >> >> >> balanced digit representation of an integer
>> >> >> >> >> >> 4454ffec0d Trac #28384: py2: UnicodeDecodeError in doctest 
>> >> >> >> >> >> framework exception handling
>> >> >> >> >> >> 0c8192c3de Trac #28366: Lattice precision timing test fails 
>> >> >> >> >> >> on Windows 7 due to low-ish clock resolution
>> >> >> >> >> >> 5e1b351a89 Trac #28274: EnumeratedFamily should use integers 
>> >> >> >> >> >> as keys
>> >> >> >> >> >> ec9715bb88 Trac #28172: Profile of a Finite Permutation Group
>> >> >> >> >> >> dcf58df8b5 Trac #28154: SciPy: patch for missing coding lines 
>> >> >> >> >> >> in some source files
>> >> >> >> >> >> 82d75fd335 Trac #27917: Standardize doctest headers
>> >> >> >> >> >> 04d5aab185 Trac #25817: RuntimeError: Encountered operator 
>> >> >> >> >> >> mismatch in maxima-to-sr translation, integrate
>> >> >> >> >> >> 45314bcbcf Trac #23639: Strange errors with roots() of 
>> >> >> >> >> >> polynomials over polynomial rings
>> >> >> >> >> >> f29cee985f Trac #28419: new pyflakes miscellanous cleanup
>> >> >> >> >> >> 77bddf472a Trac #28417: removed deprecated stuff in 
>> >> >> >> >> >> integer_mod
>> >> >> >> >> >> c565a3aa0a Trac #28412: upgrade Pynac to 0.7.26
>> >> >> >> >> >> 2e47b34ab8 Trac #28408: fixing a few invalid escape sequences
>> >> >> >> >> >> 877d26294b Trac #28407: py3: fix quantum_group_gap and 
>> >> >> >> >> >> graph_latex
>> >> >> >> >> >> 3db8be3dc0 Trac #28399: remove deprecated things in 
>> >> >> >> >> >> integer.pyx
>> >> >> >> >> >> 6a837c5ea6 Trac #27818: Meet-subsemilattice for lattices
>> >> >> >> >> >> 2920f66a0e Trac #27798: Add `backend` option to associahedron 
>> >> >> >> >> >> and flow polytope
>> >> >> >> >> >> 98f3199887 Trac #27587: Follow up to #25680: Fix tempfile 
>> >> >> >> >> >> handling in doctests
>> >> >> >> >> >> 0719be21c2 Trac #27473: Matrix inversion fails over a Laurent 
>> >> >> >> >> >> series ring
>> >> >> >> >> >> 842a3dcd41 Trac #27444: Expose multithreaded fflas-ffpack 
>> >> >> >> >> >> features
>> >> >> >> >> >> cee95e6b38 Trac #28404: Sign of hypergeometric motives is 
>> >> >> >> >> >> sometimes wrong
>> >> >> >> >> >> af8bf5ead8 Trac #28400: fixing a few roles
>> >> >> >> >> >> 1cdf4955c6 Trac #28398: _richcmp_ for quaternion algebra 
>> >> >> >> >> >> elements
>> >> >> >> >> >> abb2397287 Trac #28397: fix some wrong doctests that were not 
>> >> >> >> >> >> run
>> >> >> >> >> >> 2465a9e494 Trac #28396: faster Möbius matrix for Hasse 
>> >> >> >> >> >> diagrams
>> >> >> >> >> >> 4b4b5bf81b Trac #28395: Bug in is_weil_polynomial
>> >> >> >> >> >> 77466c5716 Trac #28393: add self-tests for polymake
>> >> >> >> >> >> a7f0a353e5 Trac #28391: dependencies file for jupymake
>> >> >> >> >> >> e7a3ec0d98 Trac #28377: polymake interface broken with 
>> >> >> >> >> >> "non-standard" quadratic fields
>> >> >> >> >> >> a535670711 Trac #28339: Random failure in 
>> >> >> >> >> >> src/sage/interfaces/expect.py
>> >> >> >> >> >> f34f77e4da Trac #28271: Implement LexM traversal
>> >> >> >> >> >> 304feb1626 Trac #28229: Generalized shifted prime tableau
>> >> >> >> >> >> e570374675 Trac #27689: Implement is_pyramid, is_bipyramid, 
>> >> >> >> >> >> is_prism for polytopes
>> >> >> >> >> >> addde7bcc7 Trac #28380: bump up the version of givaro in 
>> >> >> >> >> >> spkg-configure.m4
>> >> >> >> >> >> 8f1c30f031 Trac #28403: py3: crypto/block_cipher/present.py 
>> >> >> >> >> >> doctest failures
>> >> >> >> >> >> 0ae7ffa669 Trac #25727: Prevent giac from giving localized 
>> >> >> >> >> >> output
>> >> >> >> >> >> 109c1bd6c1 Trac #28060: Extensions of finite fields 
>> >> >> >> >> >> embeddings: we have inverse image but `inverse_image` throws 
>> >> >> >> >> >> `NotImplemented`
>> >> >> >> >> >> 0c5c45c0cf Trac #27937: Fix for functorial construction of 
>> >> >> >> >> >> monoid algebras
>> >> >> >> >> >> fee35bf412 Trac #27851: Convert sqrt(D) to UCF
>> >> >> >> >> >> 3b7ef2c62c Trac #27831: Small fix for is_symmetric for 
>> >> >> >> >> >> matrices over CDF
>> >> >> >> >> >> 8f76f4d242 Trac #27760: Generalized Permutohedra and type H4 
>> >> >> >> >> >> 4-uniform polytopes
>> >> >> >> >> >> 67de66d92d Trac #27096: Bug in Buchberger algorithm over Tate 
>> >> >> >> >> >> algebra
>> >> >> >> >> >> 6b8839d39f Trac #25823: maxima segfaults on integral 
>> >> >> >> >> >> computation
>> >> >> >> >> >> 4583b4056e (tag: 8.9.beta8, trac/develop) Updated SageMath 
>> >> >> >> >> >> version to 8.9.beta8
>> >> >> >> >> >>
>> >> >> >> >> > --
>> >> >> >> >> > You received this message because you are subscribed to the 
>> >> >> >> >> > Google Groups "sage-release" group.
>> >> >> >> >> > To unsubscribe from this group and stop receiving emails from 
>> >> >> >> >> > it, send an email to sage-r...@googlegroups.com.
>> >> >> >> >> > To view this discussion on the web visit 
>> >> >> >> >> > https://groups.google.com/d/msgid/sage-release/78651b01-df14-4f2f-826c-d7de01833101%40googlegroups.com.
>> >> >> >> >
>> >> >> >> > --
>> >> >> >> > You received this message because you are subscribed to the 
>> >> >> >> > Google Groups "sage-release" group.
>> >> >> >> > To unsubscribe from this group and stop receiving emails from it, 
>> >> >> >> > send an email to sage-r...@googlegroups.com.
>> >> >> >> > To view this discussion on the web visit 
>> >> >> >> > https://groups.google.com/d/msgid/sage-release/71e7386e-a8bf-4a26-b446-706c65f0a91a%40googlegroups.com.
>> >> >> >
>> >> >> > --
>> >> >> > You received this message because you are subscribed to the Google 
>> >> >> > Groups "sage-release" group.
>> >> >> > To unsubscribe from this group and stop receiving emails from it, 
>> >> >> > send an email to sage-r...@googlegroups.com.
>> >> >> > To view this discussion on the web visit 
>> >> >> > https://groups.google.com/d/msgid/sage-release/eb8f707d-4dc1-489b-9b32-a7d2dfc7011f%40googlegroups.com.
>> >> >
>> >> > --
>> >> > You received this message because you are subscribed to the Google 
>> >> > Groups "sage-release" group.
>> >> > To unsubscribe from this group and stop receiving emails from it, send 
>> >> > an email to sage-r...@googlegroups.com.
>> >> > To view this discussion on the web visit 
>> >> > https://groups.google.com/d/msgid/sage-release/c8c72666-0ab0-4e70-9271-6e2083d37dec%40googlegroups.com.
>> >
>> > --
>> > You received this message because you are subscribed to the Google Groups 
>> > "sage-release" group.
>> > To unsubscribe from this group and stop receiving emails from it, send an 
>> > email to sage-r...@googlegroups.com.
>> > To view this discussion on the web visit 
>> > https://groups.google.com/d/msgid/sage-release/744517bd-2b7c-4132-9f0c-fbefa2d0b738%40googlegroups.com.
>
> --
> You received this message because you are subscribed to the Google Groups 
> "sage-release" group.
> To unsubscribe from this group and stop receiving emails from it, send an 
> email to sage-release+unsubscr...@googlegroups.com.
> To view this discussion on the web visit 
> https://groups.google.com/d/msgid/sage-release/a9a0d305-db4c-4c51-a94b-78b16e8d962d%40googlegroups.com.

-- 
You received this message because you are subscribed to the Google Groups 
"sage-release" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to sage-release+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/sage-release/CAAWYfq2yNSZbaLYRRu%3DeZ7Qn9W9SFTqEzP9-FF4tLGn3svYLXA%40mail.gmail.com.

Reply via email to